Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.content
Class RemotePortletContent

    java.lang.Object
      |
      +--com.bea.netuix.nf.UIControl
            |
            +--com.bea.netuix.servlets.controls.NetUIxControl
                  |
                  +--com.bea.netuix.servlets.controls.window.AbstractWindowChild
                        |
                        +--com.bea.netuix.servlets.controls.content.AbstractJspContent
                              |
                              +--com.bea.netuix.servlets.controls.content.RemotePortletContent

All Implemented Interfaces:
  Serializable

public class RemotePortletContent
extends AbstractJspContent

See Also:
  Serialized Form

Field Summary
`static Debug` | `debug`

Fields inherited from class com.bea.netuix.servlets.controls.content.AbstractJspContent
`formatter`

Fields inherited from class com.bea.netuix.nf.UIControl
`_cachedRenderData, _cacheExpires, _forkable, _forkPreRender, _forkRender, _invalidateCache, _isCached, _renderCacheable, DEFAULT_CACHE_EXPIRES, lifecycleState, NF_LOADSTATE_LIT, NF_POSTBACK_LIT, RENDER_CHILDREN, RENDER_SKIP_CHILDREN, visitorMap`

Constructor Summary
`RemotePortletContent()` default constructor.

Method Summary
`boolean` | `beginRender(Writer writer)` NetUI beginRender
`protected void` | `createMap()`
`protected String` | `getDocument(String xUrl)` Retrieve an xml document representing the web page.
`String` | `getProxyName()` proxy user name
`String` | `getProxyPass()` proxy user password
`String` | `getTime()` Time for refresh.
`String` | `getUseProxy()` Use proxy?
`String` | `getXPath()`
`protected boolean` | `handlePostbackData(String newValue)`
`boolean` | `isPageflow()`
`protected void` | `load()` NetUI load.
`protected void` | `loadState(com.bea.netuix.nf.state.ControlStateReader reader)` NetUI lifecycle
`protected void` | `saveState(com.bea.netuix.nf.state.ControlStateWriter writer)` NetUI lifecycle
`void` | `setContentUri(String contentUri)` Sets the content URI.
`void` | `setPageflow(boolean pageflow)`
`void` | `setProxyName(String aName)` proxy user name
`void` | `setProxyPass(String aPassword)` proxy user password
`void` | `setTime(String wait)` sets the time user would like the tag to wait before making a new http connection default is 10 minutes.
`void` | `setUseProxy(String value)` Use proxy?
`void` | `setXPath(String anXPath)`
`protected String` | `updateUrl(String aUrl)`

Methods inherited from class com.bea.netuix.servlets.controls.content.AbstractJspContent
`getContentUri, getErrorUri, getRequest, getResponse, getUpdatedRequest, getUpdatedResponse, raiseThrowable, setErrorUri`

Methods inherited from class com.bea.netuix.servlets.controls.window.AbstractWindowChild
`clone, getWindow, setWindow`

Methods inherited from class com.bea.netuix.servlets.controls.NetUIxControl
`addAttribute, addAttribute, fireEndElementSaxEvent, fireStartElementSaxEvent, getAttributes, getControlName, getDefaultPrefix`

Methods inherited from class com.bea.netuix.nf.UIControl
`addBindDataListener, addChild, addChild, addInitListener, addLoadListener, addPreRenderListener, addUpdateModelListener, bindData, cancelPostback, deepToString, dispose, doCommand, doCommand, doCommand, endRender, fireBindData, fireInit, fireLoad, firePreRender, fireUpdateModel, getCacheExpires, getChild, getChild, getChildByUniqueId, getChildCount, getChildRecursive, getChildRecursiveByUniqueId, getChildren, getChildrenByMarker, getContext, getControlState, getDataSource, getExcludedEvents, getForkPreRender, getId, getNamingScope, getNavigationScope, getParent, getRenderer, getRootControl, getStateLocation, getUniqueId, getVisitor, getVisitorForLifecycle, getVisitorMap, handleBubbleEvent, handleCommand, hasControls, includeEventInWireup, init, initializeRoot, invalidateCache, isForkable, isForkRender, isLoadedFromFreshSource, isPostback, isRenderCacheable, isShouldRenderChildren, isSuspended, isViewStateEnabled, isVisible, loadStateRecursive, preRender, raiseBubbleEvent, raiseChangeEvents, reinstatePostback, removeBindDataListener, removeChild, removeChild, removeChildByUniqueId, removeChildren, removeInitListener, removeLoadListener, removePreRenderListener, removeUpdateModelListener, render, renderChildren, saveStateRecursive, setChild, setChildren, setControlState, setDataSource, setId, setIsLoadedFromFreshSource, setNewContext, setRenderer, setShouldRenderChildren, setStateLocation, setSuspended, setViewStateEnabled, setViewStateEnabled, setVisible, setVisitorMap, toString, updateModel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### debug

    public static final Debug debug

Constructor Detail

### RemotePortletContent

    public RemotePortletContent()

  default constructor.

Method Detail

### setContentUri

    public void setContentUri(String contentUri)

  Sets the content URI.

  Overrides:
    `setContentUri` in class `AbstractJspContent`
  Parameters:
    `contentUri` - content URI

### setUseProxy

    public void setUseProxy(String value)

  Use proxy?

### getUseProxy

    public String getUseProxy()

  Use proxy?

### setProxyName

    public void setProxyName(String aName)

  proxy user name

### getProxyName

    public String getProxyName()

  proxy user name

### setProxyPass

    public void setProxyPass(String aPassword)

  proxy user password

### getProxyPass

    public String getProxyPass()

  proxy user password

### setXPath

    public void setXPath(String anXPath)

### getXPath

    public String getXPath()

### setTime

    public void setTime(String wait)

  sets the time user would like the tag to wait before making a new http connection default is 10 minutes. method is used by the JSP container to set the time attribute given in the page tag

  Parameters:
    `wait` - time in minutes must be greater than 10

### getTime

    public String getTime()

  Time for refresh.

### createMap

    protected void createMap()

### load

    protected void load()

  NetUI load.

  Overrides:
    `load` in class `com.bea.netuix.nf.UIControl`

### handlePostbackData

    protected boolean handlePostbackData(String newValue)

  Overrides:
    `handlePostbackData` in class `com.bea.netuix.nf.UIControl`

### loadState

    protected void loadState(com.bea.netuix.nf.state.ControlStateReader reader)

  NetUI lifecycle

  Overrides:
    `loadState` in class `com.bea.netuix.nf.UIControl`

### saveState

    protected void saveState(com.bea.netuix.nf.state.ControlStateWriter writer)

  NetUI lifecycle

  Overrides:
    `saveState` in class `com.bea.netuix.nf.UIControl`

### beginRender

    public boolean beginRender(Writer writer)
                        throws IOException,
                               com.bea.netuix.nf.UIControlException

  NetUI beginRender

  Overrides:
    `beginRender` in class `com.bea.netuix.nf.UIControl`
    `IOException`
    `com.bea.netuix.nf.UIControlException`

### updateUrl

    protected String updateUrl(String aUrl)

### getDocument

    protected String getDocument(String xUrl)
                          throws IOException

  Retrieve an xml document representing the web page.

    `IOException`

### isPageflow

    public boolean isPageflow()

### setPageflow

    public void setPageflow(boolean pageflow)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved